export declare const schema: {
    type: string;
    definitions: {
        refItem: {
            type: string;
            properties: {
                _ref: {
                    type: string;
                    title: string;
                    description: string;
                };
            };
        };
        refItems: {
            type: string;
            items: {
                $ref: string;
            };
        };
        refItemsAsAllOf: {
            properties: {
                allOf: {
                    $ref: string;
                };
            };
            title: string;
        };
        refItemsAsAnyOf: {
            properties: {
                anyOf: {
                    $ref: string;
                };
            };
            title: string;
        };
        refItemsAsOneOf: {
            properties: {
                oneOf: {
                    $ref: string;
                };
            };
            title: string;
        };
    };
    properties: {
        propertyName: {
            type: string;
        };
        refOrRefs: {
            oneOf: {
                $ref: string;
                title: string;
            }[];
        };
    };
};
/**
 * "properties": {
 *     "XXX": {
 *       "$ref": "#/definitions/anyOf",
 *       "title": "References"
 *     }
 *     "YYY": {
 *       "anyOf": [
 *         {
 *           "$ref": "#/definitions/address"
 *         }
 *       ]
 *     }
 *     "YYY": {
 *       "allOf": [
 *         {
 *           "$ref": "#/definitions/address"
 *         }
 *       ]
 *     }
 *   }
 */
export declare const uischema: {
    type: string;
    elements: {
        type: string;
        label: string;
        elements: ({
            type: string;
            elements: {
                scope: string;
                type: string;
            }[];
            scope?: undefined;
            label?: undefined;
        } | {
            scope: string;
            type: string;
            label: string;
            elements?: undefined;
        })[];
    }[];
};
export declare const jsonForms: {
    schema: {
        type: string;
        definitions: {
            refItem: {
                type: string;
                properties: {
                    _ref: {
                        type: string;
                        title: string;
                        description: string;
                    };
                };
            };
            refItems: {
                type: string;
                items: {
                    $ref: string;
                };
            };
            refItemsAsAllOf: {
                properties: {
                    allOf: {
                        $ref: string;
                    };
                };
                title: string;
            };
            refItemsAsAnyOf: {
                properties: {
                    anyOf: {
                        $ref: string;
                    };
                };
                title: string;
            };
            refItemsAsOneOf: {
                properties: {
                    oneOf: {
                        $ref: string;
                    };
                };
                title: string;
            };
        };
        properties: {
            propertyName: {
                type: string;
            };
            refOrRefs: {
                oneOf: {
                    $ref: string;
                    title: string;
                }[];
            };
        };
    };
    uischema: {
        type: string;
        elements: {
            type: string;
            label: string;
            elements: ({
                type: string;
                elements: {
                    scope: string;
                    type: string;
                }[];
                scope?: undefined;
                label?: undefined;
            } | {
                scope: string;
                type: string;
                label: string;
                elements?: undefined;
            })[];
        }[];
    };
};
